Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.net
Class SocketTransportProvider

    java.lang.Object
      java.net.Socket
          com.sshtools.j2ssh.net.SocketTransportProvider

All Implemented Interfaces:
  TransportProvider

public class SocketTransportProvider
extends java.net.Socket
implements TransportProvider

DOCUMENT ME!

Constructor Summary
`protected` | `SocketTransportProvider(java.lang.String host, int port)` Creates a new SocketTransportProvider object.

Method Summary
`java.lang.String` | `getProviderDetail()` DOCUMENT ME!

Methods inherited from class java.net.Socket
`bind, close, connect, connect, getChannel, getInetAddress, getInputStream, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getOutputStream, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sshtools.j2ssh.net.TransportProvider
`close, getInputStream, getOutputStream`

Constructor Detail

### SocketTransportProvider

    protected SocketTransportProvider(java.lang.String host,
                                      int port)
                               throws java.io.IOException

  Creates a new SocketTransportProvider object.

Parameters:
  `host` - DOCUMENT ME!
  `port` - DOCUMENT ME!
Throws:
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### getProviderDetail

    public java.lang.String getProviderDetail()

  DOCUMENT ME!

  Specified by:
    `getProviderDetail` in interface `TransportProvider`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD